package com.logotet.tablereporter;


import javax.swing.table.AbstractTableModel;
import java.util.Vector;

/**
 * Table model for JTableReporter demo .
 * Has 120 rows.
 * Consists of two Strings (name , surname) and  int, double and boolean fields (one of each)
 *
 */
public class DemoTableModel extends AbstractTableModel {
    String[] headers = {"name", "surname", "date", "int", "double", "boolean"};
    String[] names = {"John", "Francis", "Andrew", "Lawrence", "Gregory",
                      "Fulke", "Thomas", "Nicholas", "Humphrey", "Roger",
                      "Nathaniel", "Luke", "William", "Ralph", "Leonard",
                      "Daniel", "Abraham", "Mathias", "Robert", "Christopher",
                      "Martin", "Michael", "Barnaby", "Tobias", "Richard", "Anthony",
                      "Simon", "Samuel", "Geoffrey", "Isaac", "Henry",
                      "Matthew", "Peter", "Allen", "Reynold", "Jerome",
                      "George", "Edmund", "Philip", "Charles", "Arthur",
                      "Joseph", "Edward", "Walter", "Stephen", "Alexander", "David",
                      "Rowland", "James", "Hugh", "Adam", "Adrian", "Ambrose",
                      "Avery", "Bartholomew", "Benedict", "Bernard", "Cuthbert",
                      "Gerard", "Gilbert", "Giles", "Julian", "Lancelot", "Mark",
                      "Miles", "Oliver", "Oswyn", "Piers", "Solomon", "Valentine",
                      "Elizabeth", "Catherine", "Frances", "Cecily", "Millicent",
                      "Audrey", "Joan", "Elinor", "Joyce", "Frideswide", "Rose",
                      "Helen", "Margaret", "Isabel", "Bridget", "Grace", "Thomasin",
                      "Janet", "Agnes", "Dorothy", "Christian", "Amy", "Fortune", "Sybil",
                      "Alice", "Margery", "Edith", "Barbara", "Gillian", "Ursula", "Anne",
                      "Susanna", "Emma", "Rachel", "Judith", "Avis", "Mary", "Ellen", "Lucy",
                      "Charity", "Julian", "Beatrice", "Jane", "Sarah", "Martha", "Mabel",
                      "Philippa", "Blanche", "Clemence", "Marion", "Ruth", "Constance",
                      "Florence", "Maria", "Parnell", "Wilmot", "Denise", "Josian",
                      "Maud", "Rebecca", "Christina", "Ellen", "Lettice", "Mildred", "Winifred"};
    String[] surnames = {"Aubrey", "Beckingham", "Blexham", "Bredham", "Buslingthorpe",
                         "Cheyne", "Coorthopp", "Dauncey", "Dunham", "Fayneman",
                         "Fox", "Geste", "Greville", "Harwood", "Horman", "Kent",
                         "Lenton", "Lyon", "Moland", "Obson", "Pettit",
                         "Reed", "Saintjohn", "Shingleton",
                         "Staverton", "Throckmorton", "Walford", "Willcotts"};
    Vector obj = new Vector();

    public DemoTableModel() {
        int rnd1, rnd2;
        for (int i = 0; i < 120; i++) {
            rnd1 = (int) (Math.random() * names.length);
            rnd2 = (int) (Math.random() * surnames.length);
            obj.add(new Red(names[rnd1], surnames[rnd2]));
        }
    }

    public Vector getObj() {
        return obj;
    }

    public int getRowCount() {
        return obj.size();  //---
    }

    public int getColumnCount() {
        return 6;  //---
    }

    public String getColumnName(int i) {
        return headers[i];
    }

    public Object getValueAt(int rowIndex, int columnIndex) {
        Red red = (Red) obj.elementAt(rowIndex);
        switch (columnIndex) {
            case 0:
                return red.getName();
            case 1:
                return red.getSurname();
            case 2:
                return red.getDatum();
            case 3:
                return new Integer(red.getBroj());
            case 4:
                return new Double(red.getRealNumber());
            case 5:
                return new Boolean(red.isFlag());


        }
        return null;  //---
    }

    public Class getColumnClass(int columnIndex) {
        switch (columnIndex) {
            case 0:
                return String.class;
            case 1:
                return String.class;
            case 2:
                return java.util.Date.class;
            case 3:
                return Integer.class;
            case 4:
                return Double.class;
            case 5:
                return Boolean.class;
            default:
                return String.class;
        }
    }
}
